﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace Program
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Vozilo auto = new Automobil(1, 1000, 250, Automobil.Pogon.Benzin, 4);
            Vozilo motor = new Motor(2, 2500, 125, 5);

            List<Vozilo> listV = new List<Vozilo>
            {
                auto,
                motor
            };
            listV.ForEach(Console.WriteLine);
            
            Djeltnik sluzo = new Sluzbenik(12348, "Jozo", "Jozic", 5);
            Djeltnik teho = new Tehnicar(52374, "Janko", "Strižić", 2);
            Djeltnik osigo = new Osiguravatelj(69833, "Matej", "Kovač", 2);
            sluzo.CompareTo(teho);

            List<Djeltnik> listD = new List<Djeltnik>()
            {
                sluzo,
                teho,
                osigo
            };
            listD.Sort();
            listD.ForEach(Console.WriteLine);

        }
    }
}
